#include maps\mp\_bo2drone_destructible;
#using_animtree( "vehicles" );

makeType( destructibleType )
{
	//println( destructibleType );
	
	// if it's already been created dont create it again
	infoIndex = getInfoIndex( destructibleType );
	if ( infoIndex >= 0 )
	{
		//println( "### DESTRUCTIBLE ### already created" );
		return infoIndex;
	}
	
	//println( "### DESTRUCTIBLE ### creating" );
	
	switch( destructibleType )
	{
		case "vehicle_vansprinterblack":
			vehicle_vansprinterblack( destructibleType );
		break;

		default:
			assertMsg( "Destructible object 'destructible_type' key/value of '" + destructibleType + "' is not valid" );
			break;
	}
	
	infoIndex = getInfoIndex( destructibleType );
	assert( infoIndex >= 0 );
	return infoIndex;
}

getInfoIndex( destructibleType )
{
	if ( !isdefined( level.destructible_type ) )
		return -1;
	if ( level.destructible_type.size == 0 )
		return -1;
	
	for( i = 0 ; i < level.destructible_type.size ; i++ )
	{
		if ( destructibleType == level.destructible_type[ i ].v[ "type" ] )
			return i;
	}
	
	// didn't find it in the array, must not exist
	return -1;
}


vehicle_vansprinterblack( destructibleType )
{

	destructible_create( "vehicle_vansprinterblack" , 250, undefined, 32, "no_melee" );
				destructible_loopfx( "tag_hood_fx", "smoke/car_damage_whitesmoke", 0.4 );
			destructible_state( undefined, "vehicle_vansprinter_blue" + "_destructible_mp", 200, undefined, 32, "no_melee" );
				destructible_loopfx( "tag_hood_fx", "smoke/car_damage_blacksmoke", 0.4 );
			destructible_state( undefined, "vehicle_vansprinter_blue" + "_destructible_mp", 100, undefined, 32, "no_melee" );
				destructible_loopfx( "tag_hood_fx", "smoke/car_damage_blacksmoke_fire", 0.4 );
				destructible_sound( "fire_vehicle_flareup_med" );
				destructible_loopsound( "fire_vehicle_med" );
				destructible_healthdrain( 15, 0.25 );
			destructible_state( undefined, "vehicle_vansprinter_blue" + "_destructible_mp", 300, "player_only", 32, "no_melee" );
				destructible_loopsound( "fire_vehicle_med" );
			destructible_state( undefined, "vehicle_vansprinter_blue" + "_destructible_mp", 400, undefined, 32, "no_melee" );
				destructible_fx( "tag_death_fx", "explosions/small_vehicle_explosion", false );
				destructible_sound( "car_explode" );
				destructible_explode( 4000, 5000, 250, 20, 300 ); 	// force_min, force_max, range, mindamage, maxdamage
				destructible_anim( %vehicle_80s_sedan1_destroy, #animtree, "setanimknob" );
			destructible_state( undefined, "vehicle_vansprinter_blue" + "_destroyed", undefined, 32, "no_melee" );
	// Hood
		tag = "tag_hood";
		destructible_part( tag, "vehicle_vansprinter_blue" + "_hood", 800, undefined, undefined, undefined, 1.0, 1.5 );
	// Doors
		destructible_part( "tag_door_left_front", "vehicle_vansprinter_blue" + "_door_LF", undefined, undefined, undefined, undefined, 1.0, 1.0 );
		destructible_part( "tag_door_right_front", "vehicle_vansprinter_blue" + "_door_RF", undefined, undefined, undefined, undefined, 1.0, 1.0 );

	// Bumpers
		destructible_part( "tag_bumper_front", "vehicle_vansprinter_blue" + "_bumper_F", undefined, undefined, undefined, undefined, 1.0 );
		destructible_part( "tag_bumper_back", "vehicle_vansprinter_blue" + "_bumper_B", undefined, undefined, undefined, undefined, 0.5 );
	// Side Mirrors
		destructible_part( "tag_mirror_left", "vehicle_vansprinter_blue" + "_mirror_L", 40, undefined, undefined, undefined, undefined, 1.0 );
			destructible_physics();
		destructible_part( "tag_mirror_right", "vehicle_vansprinter_blue" + "_mirror_R", 40, undefined, undefined, undefined, undefined, 1.0 );
			destructible_physics();
}